
Foreman - Bug #5964

rhel6 machines fails to join REALM's due to missing ipa-client pkg

05/28/2014 08:35 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1101720 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1101720

Description of problem:

from the /root/install.post.log  logs

Setting up Install Process

No package ipa-client available.

Error: Nothing to do

IPA mkhomedir: --mkhomedir

IPA additonal opts:

/tmp/ks-script-FMjNHo: line 77: /usr/sbin/ipa-client-install: No such file or directory

When using "Kickstart RHEL default" template for provisioning, provisioned RHEL6 machines fail to join REALM.

Using "Kickstart RHEL default" template, provisioned RHEL7 machines joined REALM.

Using "Kickstart default" template, provisioned RHEL7 machines join REALM.

Version-Release number of selected component (if applicable):

sat6-beta-snap6

How reproducible:

Steps to Reproduce:

1. when using "Kickstart RHEL default"

2.

3.

Actual results:

Provisioned RHEL6 machines fail to join REALM using "Kickstart RHEL default" templates, due to missing ipa-client pkg.

Expected results:

Provisioned RHEL6 machines should join REALM

Additional info:

History

#1 - 05/28/2014 08:35 AM - Dominic Cleal

- Category set to Templates

Thought I'd tested this OK...

#2 - 06/12/2014 07:58 PM - Dominic Cleal

- Status changed from New to Rejected
https://bugzilla.redhat.com/show_bug.cgi?id=1101720


Host likely wasn't subscribed, due to using a Foreman template when using Katello (and hence not getting content).
